ru.bitel.bgbilling.plugins.crm.common.model

## Class RegisterSubject

- java.lang.Object
- - ru.bitel.bgbilling.plugins.crm.common.model.RegisterSubject

- All Implemented Interfaces:
    ListItem

      public class RegisterSubject
      extends java.lang.Object
      implements ListItem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterSubject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGroupId()`
    `int` | `getGroupID()` Deprecated.
    `int` | `getId()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isAutoClose()`
    `void` | `setAutoClose(boolean autoClose)`
    `void` | `setGroupId(int groupId)`
    `void` | `setGroupID(int groupId)` Deprecated.
    `void` | `setId(int id)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterSubject

          public RegisterSubject()

  - ### Method Detail

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `ListItem`

    - #### setId

          public void setId(int id)

    - #### getGroupId

          public int getGroupId()

    - #### getGroupID

          @Deprecated
          public int getGroupID()

      Deprecated.
      Использовать `getGroupId()`.
      Returns:

    - #### setGroupId

          public void setGroupId(int groupId)

    - #### setGroupID

          @Deprecated
          public void setGroupID(int groupId)

      Deprecated.
      Использовать `setGroupId(int)`.
      Parameters:
        `groupId` -

    - #### setAutoClose

          public void setAutoClose(boolean autoClose)

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `ListItem`

    - #### isAutoClose

          public boolean isAutoClose()